<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Jadwal Ujian</title>
</head>
<body>
<div layout:fragment="main">
    <div class="modal fade" id="exampleModal"  role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <form th:action="@{/academic/schedule/uploadUjian}" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Upload Jadwal Ujian</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-6">
                                    <input type="file" class="form-control" name="file">
                                </div>
                                <div class="col-md-6">
                                    <select name="jenis" required class="form-control">
                                        <option value="UTS">UTS</option>
                                        <option value="UAS">UAS</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Upload Data</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Jadwal Ujian </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="card-header border-0">
                                            <div class="col text-right">
                                                <button type="button" class="btn btn-sm btn-default" data-toggle="modal" data-target="#exampleModal"><i class="fas fa-book"></i> Upload Jadwal Ujian</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">

                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                            <div class="col text-right">

                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Tahun Akademik</label>
                                                <select name="tahunAkademik" required class="form-control">
                                                    <option value="" disabled selected>-- Select One --</option>
                                                    <option th:each="data : ${tahunAkademik}"
                                                            th:selected="(${data} == *{selectedTahun})"
                                                            th:text="${data.namaTahunAkademik}"
                                                            th:value="${data.id}">sdasd</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Jenis</label>
                                                <select name="jenis" required class="form-control">
                                                    <option th:selected="${'UTS' == selectedJenis}" value="UTS">UTS</option>
                                                    <option th:selected="${'UAS' == selectedJenis}" value="UAS">UAS</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12" style="text-align: center;">
                                            <div class="form-group">
                                                <button class="btn btn-info"><i class="fa fa-search"></i> Cari</button>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>

                        </form>


                        <div class="row" th:if="${errors != null || success != null}">
                            <div class="col-md-12">
                                <div class="card shadow">
                                    <div class="card-header border-0">
                                    </div>
                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table class="table align-items-center table-flush">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th scope="col">Jadwal</th>
                                                    <th scope="col">Status</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr th:each="error : ${errors}">
                                                    <td style="alignment: center" th:text="${error.nim}"></td>
                                                    <td style="alignment: center"><span class="badge badge-danger" th:text="${error.message}"></span></td>
                                                </tr>
                                                <tr th:each="success : ${success}">
                                                    <td style="alignment: center" th:text="${success.nim}"></td>
                                                    <td style="alignment: center"><span class="badge badge-success" th:text="${success.message}"></span></td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row" th:if="${selectedTahun != null && errors == null || success == null}">
<!--                            <input type="hidden" id="tahun" name="tahun" th:value="${selectedTahun.id}">-->
                            <div class="col-md-12">
                                <div class="card shadow">
                                    <div class="card-header border-0">
                                    </div>
                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table
                                                    id="table"
                                                    data-filter-control="true"
                                                    data-search="true"
                                                    data-show-refresh="true"
                                                    data-flat="true"
                                                    data-pagination="true"
                                                    th:attr="data-url=@{/getdata/jadwal-ujian(tahunAkademik=${selectedTahun.id}, jenis=${selectedJenis})}"
                                                    data-side-pagination="client">
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--                        </form>-->
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

</body>
</html>
<link href="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.css" rel="stylesheet">
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.js"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/filter-control/bootstrap-table-filter-control.min.js"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/auto-refresh/bootstrap-table-auto-refresh.min.js"></script>
<script>

    var $table = $('#table')

    $(function() {
        $table.bootstrapTable({
            columns: [{
                field: 'kelas',
                title : 'Kelas',
                sortable: true,
                align: 'center',
                valign: 'middle'
            }, {
                title: 'Matakuliah',
                field: 'matkul',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: 'Hari & Tanggal',
                field: 'tanggal',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: 'Waktu',
                field: 'waktu',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: 'Ruangan',
                field: 'ruangan',
                align: 'center',
                valign: 'middle',
                sortable: true
            },{
                title: 'Dosen',
                field: 'dosen',
                align: 'center',
                valign: 'middle',
                sortable: true
            }]
        })
    })

    $('#tanggal').on('change', function () {
        var value = $(this).val(); // get selected value
        console.log(value)
        var url = '/academic/schedule/ujian?tahunAkademik=' + $('#tahun').val()+'&jenis='+$('#jenis').val()+'&tanggal='+value
        if (url) { // require a URL
            window.location = url; // redirect
        }
        // return false;
    });


    $('#btnJadwal').on('click', function () {
        $.ajax({
            url: '/jadwalUjian',
            method: 'GET',
            xhrFields: {
                responseType: 'blob'
            },
            success: function (data) {
                var a = document.createElement('a');
                var url = window.URL.createObjectURL(data);
                a.href = url;
                a.download = 'List Jadwal.xlsx';
                document.body.append(a);
                a.click();
                a.remove();
                window.URL.revokeObjectURL(url);
            }
        });
    });
</script>